= render partial: 'form_errors', locals: { object: @to_do } if @to_do.errors.any?
= form_with model: @to_do, local: true do |f|
  .form-group.row
    = f.label :title
    = f.text_field :title, class: 'form-control'
  .form-group.row
    = f.label :description
    = f.text_area :description, class: 'form-control'
  .form-group.row
    = f.label :end_date
    = f.date_field :end_date, class: 'form-control'
  .form-group.row
    = f.label :priority
    = f.select :priority, options_for_select(ToDo.priorities.map { |k, v| [k.humanize.capitalize, k] }, @to_do.priority), { prompt: 'Selecteaza prioritate', include_blank: true }, class: 'custom-select'
  .form-group.row
    = f.label :department
    = f.select :department, options_for_select(User.roles.map { |k, v| [k.humanize.capitalize, k] }, @to_do.department), { include_blank: 'Selecteaza departament' }, class: 'custom-select'
  .form-group.row
    = f.label :company_id
    = f.select :company_id, options_from_collection_for_select(policy_scope(Company), :id, :title, @to_do.company_id), { include_blank: 'Selecteaza scoala' }, class: 'custom-select'
  .form-group.row
    = f.label :user_id
    = f.select :user_id, options_from_collection_for_select(policy_scope(User), :id, :email, @to_do.user_id), { include_blank: 'Selecteaza utilizator' }, class: 'custom-select'
  = f.submit
